%define	name		mrwtoppm
%define	version		0.1.0
%define	subversion	%nil
#define	release		0.%{subversion}.1mdk
%define	release		1mdk

Name:		%name
Version:	%version
Release:	%release
Summary:	Reads the raw image formats of the Minolta DiMAGE D5, 7, A1
Group:		Graphics
URL:		http://home.swbell.net/dobroom/mintoppm/
Source0:	http://home.swbell.net/dobroom/mintoppm/mrwtoppm-%{version}%{subversion}.tar.bz2
License:	GPL
Requires:	netpbm
BuildRequires:	liblcms-devel libart_lgpl2-devel libgdk-pixbuf2-devel 
BuildRequires:	libgimp-devel >= 2.0
Buildroot:	%_tmppath/%name-%version-%release-root

%description

Reads and processes raw images from the Minolta DiMAGE 5, 7(UG, i,
Hi), and A1.

Raw images are the data directly read from the CCD of the camera,
without in-camera processing, without lossy JPEG compression, and in
36 or 48 bits color depth (TIFF has 24 bits). Problem of the raw
images is that they are in proprietary, camera-specific formats as
they are exactly what the CCD has captured, and the CCDs on differnt
cameras are very different. It also contains info about the camera
settings.

This package contains command line tools to convert the raw images of
Minolta's prosumer cameras to standard image formats.


%package gimp
Summary: 	A GIMP plug-in to load raw images from Minolta DiMAGE 5, 7, A1
Group: 		Graphics
Requires: 	gimp2_0 mrwtoppm
 
%description gimp

GIMP plug-in to load raw image files from the Minolta DiMAGE 5, 7(UG,
i, Hi), and A1. It has a very comfortable dialog in which lots of
settings and adjustments for color, sharpness, ... are available. The
effects of all changes are immediately shown in a life preview.


%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}%{subversion}

%setup -q -n %{name}-%{version}%{subversion}

%build
cd $RPM_BUILD_DIR/%{name}-%{version}%{subversion}

%configure --with-lcms-includes=/usr/include/lcms
%make

%install
cd $RPM_BUILD_DIR/%{name}-%{version}%{subversion}

%makeinstall
%find_lang mrwplugin

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}%{subversion}
%_bindir/*
%_mandir/man1/*
%_datadir/mrwtoppm

%files -f mrwplugin.lang gimp
%defattr(-,root,root)
%{_libdir}/gimp/2.0/plug-ins/*

%changelog
* Sun Apr  4 2004 Till Kamppeter <till@mandrakesoft.com> 0.1.0-1mdk
- First release for Mandrake Linux
